﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Linq.Mapping;

namespace LinqToSqlResearch20080310.Business
{
    [Table(Name = "ZipCodeInfo")]
    public class ZipCodeInfo
    {
        private int m_id;
        [Column(Storage = "m_id", AutoSync = AutoSync.OnInsert, DbType = "Int NOT NULL IDENTITY", IsPrimaryKey = true, IsDbGenerated = true)]
        public int Id
        {
            get
            {
                return m_id;
            }
            set
            {
                m_id = value;
            }
        }

        private string m_postalCode;
        [Column(Name = "zip")]
        public string PostalCode
        {
            get
            {
                return m_postalCode;
            }
            set
            {
                m_postalCode = value;
            }
        }

        private string m_city;
        [Column]
        public string City
        {
            get
            {
                return m_city;
            }
            set
            {
                m_city = value;
            }
        }

        private string m_state;
        [Column]
        public string State
        {
            get
            {
                return m_state;
            }
            set
            {
                m_state = value;
            }
        }

        private string m_country;
        [Column]
        public string Country
        {
            get
            {
                return m_country;
            }
            set
            {
                m_country = value;
            }
        }

        private string m_areaCode;
        [Column]
        public string AreaCode
        {
            get
            {
                return m_areaCode;
            }
            set
            {
                m_areaCode = value;
            }
        }

        private string m_timeZone;
        [Column]
        public string TimeZone
        {
            get
            {
                return m_timeZone;
            }
            set
            {
                m_timeZone = value;
            }
        }

        [Column(Name = "Longitude", Storage = "m_longitudeAsString")]
        private string m_longitudeAsString;

        public long Longitude
        {
            get
            {
                return Int64.Parse(m_longitudeAsString);
            }
            set
            {
                m_longitudeAsString = value.ToString();
            }
        }

        [Column(Name = "Latitude", Storage = "m_latitudeAsString")]
        private string m_latitudeAsString;

        public long Latitude
        {
            get
            {
                return Int64.Parse(m_latitudeAsString);
            }
            set
            {
                m_latitudeAsString = value.ToString();
            }
        }
    }
}